﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace ToolTipTest
{
    public class ViewModel : ViewModelBase
    {
        private ToolTipData data;

        public ViewModel()
        {
            this.Data = new ToolTipData() { Name = "SelectedValue: ", Value = 0 };
        }

        public ToolTipData Data
        {
            get
            {
                return this.data;
            }
            set
            {
                if (this.data != value)
                {
                    this.data = value;
                    this.OnPropertyChanged("Data");
                }
            }
        }
    }
}
